Bug 79605 - webkit-gtk does not respect LINGUAS
: webkit-gtk does not respect LINGUAS
Status: RESOLVED FIXED
: WebKit
WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-02-26 08:00 PST by
Modified: 2012-03-02 15:10 PST (History)


Attachments
patch to respect LINGUAS (1.41 KB, patch)
2012-02-26 08:00 PST, Alexandre Rostovtsev
no flags Review Patch | Details | Formatted Diff | Diff
patch to respect LINGUAS (with changelogs) (2.80 KB, patch)
2012-02-27 22:05 PST, Alexandre Rostovtsev
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-26 08:00:37 PST
Created an attachment (id=128916) [details]
patch to respect LINGUAS

It is generally expected that modern linux packages honor the LINGUAS environment variable to limit the set of translations that get built. For example, if LINGUAS="en ru de", then at most only the Englush, Russian, and German translations of messages etc. would be built; an empty or undefined LINGUAS is typically interpreted as "all available translations".

Packages that use a copy of intltool's Makefile.in.in get this capability for free (see http://bazaar.launchpad.net/~intltool/intltool/trunk/view/head:/Makefile.in.in). Since webkit-gtk uses a rather non-standard build system, a patch is needed.

Note that in the attached patch, PO_LINGUAS, USER_LINGUAS, and USE_LINGUAS are added to the root GNUmakefile.am to ensure that they are defined before MOFILES in the root GNUmakefile due to the way that automake interprets "+=".
------- Comment #1 From 2012-02-27 15:04:41 PST -------
There's already an effort to make the library intltool compliant: https://bugs.webkit.org/show_bug.cgi?id=45321

Would that fix the issue as well? I'm not opposed to this patch, but could you make it against the SVN checkout and include a changelog? See http://www.webkit.org/coding/contributing.html
------- Comment #2 From 2012-02-27 22:05:59 PST -------
Created an attachment (id=129187) [details]
patch to respect LINGUAS (with changelogs)

(In reply to comment #1)
> There's already an effort to make the library intltool compliant: https://bugs.webkit.org/show_bug.cgi?id=45321
> 
> Would that fix the issue as well?

Yes; if webkit-gtk used intltool's Makefile.in.in, then it would treat LINGUAS like all other intltool-using projects, and my patch would not be needed.

> I'm not opposed to this patch, but could you make it against the SVN checkout and include a changelog? See http://www.webkit.org/coding/contributing.html

Sure, patch with changelogs attached.
------- Comment #3 From 2012-03-02 15:10:48 PST -------
(From update of attachment 129187 [details])
Clearing flags on attachment: 129187

Committed r109620: <http://trac.webkit.org/changeset/109620>
------- Comment #4 From 2012-03-02 15:10:55 PST -------
All reviewed patches have been landed.  Closing bug.